Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.conf
Class JDBCConfigurationImpl

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl
                  |
                  +--kodo.jdbc.conf.JDBCConfigurationImpl

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, JDBCConfiguration, JDOConfiguration, Serializable

Direct Known Subclasses:
  JDBCConnectionFactory, JDBCManagedConnectionFactory

public class JDBCConfigurationImpl
extends JDOConfigurationImpl
implements JDBCConfiguration

Default implementation of the `JDBCConfiguration` interface.

See Also:
  Serialized Form

Field Summary
`protected BooleanValue` | `autoIncrementConstraints`
`protected StringValue` | `classIndicator`
`protected PluginListValue` | `connectionDecoratorPlugins`
`protected ConnectionDecorator[]` | `connectionDecorators`
`protected BooleanValue` | `dataSourceMode`
`protected DBDictionary` | `dbdictionary`
`protected PluginValue` | `dbdictionaryPlugin`
`protected IntValue` | `fetchDirection`
`protected BooleanValue` | `foreignKeyConstraints`
`protected PluginListValue` | `jdbcListenerPlugins`
`protected JDBCListener[]` | `jdbcListeners`
`protected IntValue` | `lrsSize`
`protected MappingFactory` | `mappingFactory`
`protected PluginValue` | `mappingFactoryPlugin`
`protected IntValue` | `resultSetType`
`protected SchemaFactory` | `schemaFactory`
`protected PluginValue` | `schemaFactoryPlugin`
`protected StringListValue` | `schemas`
`protected SequenceFactory` | `sequenceFactory`
`protected PluginValue` | `sequenceFactoryPlugin`
`protected StringValue` | `subclassMapping`
`protected StringValue` | `synchronizeMappings`
`protected IntValue` | `transactionIsolation`
`protected UpdateManager` | `updateManager`
`protected PluginValue` | `updateManagerPlugin`
`protected StringValue` | `versionIndicator`

Fields inherited from class kodo.conf.JDOConfigurationImpl
`aggregateListenerPlugins, aggregateListeners, classResolver, classResolverPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, copyObjectIds, dataCacheManager, dataCachePlugins, dataCaches, dataCacheTimeout, eagerFetchMode, fetchBatchSize, fetchGroups, filterListenerPlugins, filterListeners, flushBeforeQueries, ignoreCache, inverseManagerPlugin, license, licenseKey, lockManagerPlugin, lockTimeout, logFactoryPlugin, managedRuntime, managedRuntimePlugin, managementConfig, managementConfigPlugin, mbeanServer, metaRepos, multithreaded, nontransactionalRead, nontransactionalWrite, objectLookupMode, optimistic, orphanedKeyAction, orphanedKeyPlugin, persistentClasses, pmFactoryPlugin, pmPlugin, pmServer, pmServerPlugin, profilingAgent, profilingInterface, proxyManager, proxyManagerPlugin, queryCachePlugin, queryCompilationCache, queryCompilationCachePlugin, queryRepos, readLockLevel, remoteEventManager, remoteJMXAdaptor, remoteProviderPlugin, restoreMutableValues, restoreValues, retainValues, retainValuesInOptimistic, retryClassRegistration, subclassFetchMode, timeWatchManager, transactionMode, writeLockLevel`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_QUERY_JDOQL, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDBCConfigurationImpl()` Default constructor.
`JDBCConfigurationImpl(boolean loadDefaults)` Constructor.
`JDBCConfigurationImpl(JDBCConfiguration conf)` Constructor.

Method Summary
`void` | `close()` Free the data sources.
`boolean` | `getAutoIncrementConstraints()` Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values.
`String` | `getClassIndicator()` The `ClassIndicator` to use when creating new class mappings.
`ConnectionDecorator[]` | `getConnectionDecoratorInstances()` The `ConnectionDecorator`s to use.
`String` | `getConnectionDecorators()` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The non-XA connection factory.
`DataSource` | `getDataSource(KodoPersistenceManager pm)` Return the primary data source to use.
`DataSource` | `getDataSource2(KodoPersistenceManager pm)` Return the non-xa data source to use.
`String` | `getDataSourceMode()` The mode of the JDBC data source in use.
`String` | `getDBDictionary()` The `DBDictionary` to use to define the RDBMS SQL information.
`DBDictionary` | `getDBDictionaryInstance()` The `DBDictionary` to use.
`String` | `getFetchDirection()` The JDBC fetch direction.
`int` | `getFetchDirectionConstant()` Return the result set constant for the fetch direction.
`boolean` | `getForeignKeyConstraints()` Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints.
`JDBCListener[]` | `getJDBCListenerInstances()` The `JDBCListener`s to use.
`String` | `getJDBCListeners()` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`com.solarmetric.license.License` | `getLicense()` Return the license for the set license key.
`String` | `getLRSSize()` How to obtain the size of large result sets.
`int` | `getLRSSizeConstant()` Return the `JDBCFetchConfiguration` constant for the large result set size setting.
`String` | `getMappingFactory()` The plugin string for the `MappingFactory` to use in creating the O-R mappings.
`MappingFactory` | `getMappingFactoryInstance()` The `MappingFactory` to use for O-R mapping.
`MappingRepository` | `getMappingRepository()` Return the mapping repository.
`JDOMetaDataRepository` | `getMetaDataRepository()` The metadata repository of managed class information.
`String` | `getResultSetType()` The JDBC result set type.
`int` | `getResultSetTypeConstant()` Return the result set constant for the result set type.
`String` | `getSchemaFactory()` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`SchemaFactory` | `getSchemaFactoryInstance()` The `SchemaFactory` to use for schema information.
`String` | `getSchemas()` Comma-separated list of modifiable schemas for JDO instances.
`String[]` | `getSchemasList()` Modificable schema components.
`String` | `getSequenceFactory()` The plugin string for the `SequenceFactory` implementation.
`SequenceFactory` | `getSequenceFactoryInstance()` The `SequenceFactory` to use.
`String` | `getSubclassMapping()` The `ClassMapping` to use when mapping subclasses.
`String` | `getSynchronizeMappings()` Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
`String` | `getTransactionIsolation()` The transaction isolation level to use at the database level.
`int` | `getTransactionIsolationConstant()` Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`String` | `getUpdateManager()` The `UpdateManager` to use for managing SQL updates.
`UpdateManager` | `getUpdateManagerInstance()` The `UpdateManager` for runtime data store interaction.
`String` | `getVersionIndicator()` The `VersionIndicator` to use when creating new class mappings.
`boolean` | `isDataSourceModeEnlisted()` Whether the data source is automatically enlisted in global transactions.
`protected boolean` | `isInvalidProperty(String propName)` Returns true if the specified property name should raise a warning if it is not found in the list of known properties.
`void` | `setAutoIncrementConstraints(boolean autoIncrementConstraints)` Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values.
`void` | `setAutoIncrementConstraints(Boolean autoIncrementConstraints)` Wrapper for JCA usage of `setAutoIncrementConstraints(boolean)`.
`void` | `setClassIndicator(String classIndicator)` The full class or type name of the `ClassIndicator` to use when creating new class mappings.
`void` | `setConnectionDecorators(ConnectionDecorator[] decorators)` The `ConnectionDecorator`s to use.
`void` | `setConnectionDecorators(String connectionDecorators)` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The non-XA connection factory.
`void` | `setDataSourceMode(String mode)` The mode of the JDBC data source in use.
`void` | `setDataSourceModeEnlisted(boolean enlisted)` Whether the data source is automatically enlisted in global transactions.
`void` | `setDBDictionary(DBDictionary dbdictionary)` The `DBDictionary` to use.
`void` | `setDBDictionary(String dbdictionary)` The `DBDictionary` to use to define the RDBMS SQL information.
`void` | `setFetchDirection(int fetchDirection)` Set the result set fetch direction constant.
`void` | `setFetchDirection(String fetchDirection)` The JDBC fetch direction.
`void` | `setFirstPersistenceManagerPassword(String pass)` Set the first connection password used to obtain a persistence manager.
`void` | `setFirstPersistenceManagerUserName(String user)` Set the first connection user name used to obtain a persistence manager.
`void` | `setForeignKeyConstraints(boolean foreignKeyConstraints)` Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints.
`void` | `setForeignKeyConstraints(Boolean foreignKeyConstraints)` Wrapper for JCA usage of `setForeignKeyConstraints(boolean)`.
`void` | `setJDBCListeners(JDBCListener[] listeners)` The `JDBCListener`s to use.
`void` | `setJDBCListeners(String jdbcListeners)` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`void` | `setLRSSize(int lrsSize)` Set the fetch configuration large result set size constant.
`void` | `setLRSSize(String lrsSize)` How to obtain the size of large result sets.
`void` | `setMappingFactory(MappingFactory mappingFactory)` The `MappingFactory` to use for O-R mapping.
`void` | `setMappingFactory(String mappingFactory)` The plugin string for the `MappingFactory` to use in creating the O-R mappings.
`void` | `setResultSetType(int resultSetType)` Set the result set constant type.
`void` | `setResultSetType(String resultSetType)` The JDBC result set type.
`void` | `setSchemaFactory(SchemaFactory schemaFactory)` The `SchemaFactory` to use for schema information.
`void` | `setSchemaFactory(String schemaFactory)` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`void` | `setSchemas(String schemas)` Comma-separated list of modifiable schemas for JDO instances.
`void` | `setSchemas(String[] schemas)` Modifiable schema components.
`void` | `setSequenceFactory(SequenceFactory sequenceFactory)` The `SequenceFactory` to use.
`void` | `setSequenceFactory(String sequenceFactory)` The plugin string for the `SequenceFactory` implementation.
`void` | `setSubclassMapping(String subclassMapping)` The `ClassMapping` to use when mapping subclasses.
`void` | `setSynchronizeMappings(String synchronizeMappings)` Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
`void` | `setTransactionIsolation(int transactionIsolation)` Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`void` | `setTransactionIsolation(String transactionIsolation)` The transaction isolation level to use at the database level.
`void` | `setUpdateManager(String updateManager)` The `UpdateManager` to use for managing SQL updates.
`void` | `setUpdateManager(UpdateManager updateManager)` The `UpdateManager` for runtime data store interaction.
`void` | `setVersionIndicator(String versionIndicator)` The `VersionIndicator` to use when creating new class mappings.

Methods inherited from class kodo.conf.JDOConfigurationImpl
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConfigurationException, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicenseKey, getLockManager, getLockTimeout, getLog, getLogFactory, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProductName, getProfilingAgentInstance, getProfilingHelperInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, assertNotFrozen, equals, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getChangeSupport, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, isCaching, isFrozen, loadDefaults, readExternal, removePropertyChangeListener, setCaching, setChangeSupport, setFrozen, setLogFactory, setProperties, setPropertiesFile, toProperties, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.conf.JDOConfiguration
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicenseKey, getLockManager, getLockTimeout, getLog, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProfilingAgentInstance, getProfilingHelperInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface com.solarmetric.conf.Configuration
`addPropertyChangeListener, fromProperties, getConfigurationException, getConfigurationLog, getLog, getLogFactory, getValue, getValues, isCaching, isFrozen, removePropertyChangeListener, setCaching, setFrozen, setLogFactory, toProperties, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### dbdictionary

    protected DBDictionary dbdictionary

### sequenceFactory

    protected SequenceFactory sequenceFactory

### mappingFactory

    protected MappingFactory mappingFactory

### schemaFactory

    protected SchemaFactory schemaFactory

### updateManager

    protected UpdateManager updateManager

### jdbcListeners

    protected JDBCListener[] jdbcListeners

### connectionDecorators

    protected ConnectionDecorator[] connectionDecorators

### schemas

    protected final StringListValue schemas

### transactionIsolation

    protected final IntValue transactionIsolation

### resultSetType

    protected final IntValue resultSetType

### fetchDirection

    protected final IntValue fetchDirection

### lrsSize

    protected final IntValue lrsSize

### foreignKeyConstraints

    protected final BooleanValue foreignKeyConstraints

### autoIncrementConstraints

    protected final BooleanValue autoIncrementConstraints

### dataSourceMode

    protected final BooleanValue dataSourceMode

### synchronizeMappings

    protected final StringValue synchronizeMappings

### jdbcListenerPlugins

    protected final PluginListValue jdbcListenerPlugins

### connectionDecoratorPlugins

    protected final PluginListValue connectionDecoratorPlugins

### dbdictionaryPlugin

    protected final PluginValue dbdictionaryPlugin

### sequenceFactoryPlugin

    protected final PluginValue sequenceFactoryPlugin

### updateManagerPlugin

    protected final PluginValue updateManagerPlugin

### mappingFactoryPlugin

    protected final PluginValue mappingFactoryPlugin

### schemaFactoryPlugin

    protected final PluginValue schemaFactoryPlugin

### versionIndicator

    protected final StringValue versionIndicator

### classIndicator

    protected final StringValue classIndicator

### subclassMapping

    protected final StringValue subclassMapping

Constructor Detail

### JDBCConfigurationImpl

    public JDBCConfigurationImpl()

  Default constructor. Attempts to load default properties from `kodo.properties`.

### JDBCConfigurationImpl

    public JDBCConfigurationImpl(JDBCConfiguration conf)

  Constructor.
  Parameters:
    `loadDefaults` - configuration template to use to populate this configuration

### JDBCConfigurationImpl

    public JDBCConfigurationImpl(boolean loadDefaults)

  Constructor.
  Parameters:
    `loadDefaults` - whether to attempt to load the default `kodo.properties` resource

Method Detail

### setSchemas

    public void setSchemas(String schemas)

  Description copied from interface: `JDBCConfiguration`
  Comma-separated list of modifiable schemas for JDO instances.
  Specified by:
    `setSchemas` in interface `JDBCConfiguration`

### getSchemas

    public String getSchemas()

  Description copied from interface: `JDBCConfiguration`
  Comma-separated list of modifiable schemas for JDO instances.
  Specified by:
    `getSchemas` in interface `JDBCConfiguration`

### setSchemas

    public void setSchemas(String[] schemas)

  Description copied from interface: `JDBCConfiguration`
  Modifiable schema components.
  Specified by:
    `setSchemas` in interface `JDBCConfiguration`

### getSchemasList

    public String[] getSchemasList()

  Description copied from interface: `JDBCConfiguration`
  Modificable schema components.
  Specified by:
    `getSchemasList` in interface `JDBCConfiguration`

### setTransactionIsolation

    public void setTransactionIsolation(String transactionIsolation)

  Description copied from interface: `JDBCConfiguration`
  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.
  Specified by:
    `setTransactionIsolation` in interface `JDBCConfiguration`

### getTransactionIsolation

    public String getTransactionIsolation()

  Description copied from interface: `JDBCConfiguration`
  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.
  Specified by:
    `getTransactionIsolation` in interface `JDBCConfiguration`

### setTransactionIsolation

    public void setTransactionIsolation(int transactionIsolation)

  Description copied from interface: `JDBCConfiguration`
  Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.
  Specified by:
    `setTransactionIsolation` in interface `JDBCConfiguration`

### getTransactionIsolationConstant

    public int getTransactionIsolationConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.
  Specified by:
    `getTransactionIsolationConstant` in interface `JDBCConfiguration`

### setResultSetType

    public void setResultSetType(String resultSetType)

  Description copied from interface: `JDBCConfiguration`
  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet#TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_INSENSITIVE` type.
  Specified by:
    `setResultSetType` in interface `JDBCConfiguration`

### getResultSetType

    public String getResultSetType()

  Description copied from interface: `JDBCConfiguration`
  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet#TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_INSENSITIVE` type.
  Specified by:
    `getResultSetType` in interface `JDBCConfiguration`

### setResultSetType

    public void setResultSetType(int resultSetType)

  Description copied from interface: `JDBCConfiguration`
  Set the result set constant type.
  Specified by:
    `setResultSetType` in interface `JDBCConfiguration`

### getResultSetTypeConstant

    public int getResultSetTypeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the result set constant for the result set type.
  Specified by:
    `getResultSetTypeConstant` in interface `JDBCConfiguration`

### setFetchDirection

    public void setFetchDirection(String fetchDirection)

  Description copied from interface: `JDBCConfiguration`
  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet#FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet#FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet#FETCH_UNKNOWN` direction.
  Specified by:
    `setFetchDirection` in interface `JDBCConfiguration`

### getFetchDirection

    public String getFetchDirection()

  Description copied from interface: `JDBCConfiguration`
  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet#FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet#FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet#FETCH_UNKNOWN` direction.
  Specified by:
    `getFetchDirection` in interface `JDBCConfiguration`

### setFetchDirection

    public void setFetchDirection(int fetchDirection)

  Description copied from interface: `JDBCConfiguration`
  Set the result set fetch direction constant.
  Specified by:
    `setFetchDirection` in interface `JDBCConfiguration`

### getFetchDirectionConstant

    public int getFetchDirectionConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the result set constant for the fetch direction.
  Specified by:
    `getFetchDirectionConstant` in interface `JDBCConfiguration`

### setLRSSize

    public void setLRSSize(String lrsSize)

  Description copied from interface: `JDBCConfiguration`
  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet#last`.
  - `query`: Use a separate COUNT query to calculate the size of the results.
  Specified by:
    `setLRSSize` in interface `JDBCConfiguration`

### getLRSSize

    public String getLRSSize()

  Description copied from interface: `JDBCConfiguration`
  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet#last`.
  - `query`: Use a separate COUNT query to calculate the size of the results.
  Specified by:
    `getLRSSize` in interface `JDBCConfiguration`

### setLRSSize

    public void setLRSSize(int lrsSize)

  Description copied from interface: `JDBCConfiguration`
  Set the fetch configuration large result set size constant.
  Specified by:
    `setLRSSize` in interface `JDBCConfiguration`

### getLRSSizeConstant

    public int getLRSSizeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the `JDBCFetchConfiguration` constant for the large result set size setting.
  Specified by:
    `getLRSSizeConstant` in interface `JDBCConfiguration`

### setForeignKeyConstraints

    public void setForeignKeyConstraints(boolean foreignKeyConstraints)

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints. Defaults to false.
  Specified by:
    `setForeignKeyConstraints` in interface `JDBCConfiguration`

### setForeignKeyConstraints

    public void setForeignKeyConstraints(Boolean foreignKeyConstraints)

  Description copied from interface: `JDBCConfiguration`
  Wrapper for JCA usage of `JDBCConfiguration.setForeignKeyConstraints(boolean)`.
  Specified by:
    `setForeignKeyConstraints` in interface `JDBCConfiguration`

### getForeignKeyConstraints

    public boolean getForeignKeyConstraints()

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints. Defaults to false.
  Specified by:
    `getForeignKeyConstraints` in interface `JDBCConfiguration`

### setSynchronizeMappings

    public void setSynchronizeMappings(String synchronizeMappings)

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
  Specified by:
    `setSynchronizeMappings` in interface `JDBCConfiguration`

### getSynchronizeMappings

    public String getSynchronizeMappings()

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
  Specified by:
    `getSynchronizeMappings` in interface `JDBCConfiguration`

### setAutoIncrementConstraints

    public void setAutoIncrementConstraints(boolean autoIncrementConstraints)

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values. Defaults to false.
  Specified by:
    `setAutoIncrementConstraints` in interface `JDBCConfiguration`

### setAutoIncrementConstraints

    public void setAutoIncrementConstraints(Boolean autoIncrementConstraints)

  Description copied from interface: `JDBCConfiguration`
  Wrapper for JCA usage of `JDBCConfiguration.setAutoIncrementConstraints(boolean)`.
  Specified by:
    `setAutoIncrementConstraints` in interface `JDBCConfiguration`

### getAutoIncrementConstraints

    public boolean getAutoIncrementConstraints()

  Description copied from interface: `JDBCConfiguration`
  Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values. Defaults to false.
  Specified by:
    `getAutoIncrementConstraints` in interface `JDBCConfiguration`

### getDataSourceMode

    public String getDataSourceMode()

  Description copied from interface: `JDBCConfiguration`
  The mode of the JDBC data source in use. Available options are:
  - local: Kodo controls the data source connections.
  - enlisted: Data source connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.
  Specified by:
    `getDataSourceMode` in interface `JDBCConfiguration`

### setDataSourceMode

    public void setDataSourceMode(String mode)

  Description copied from interface: `JDBCConfiguration`
  The mode of the JDBC data source in use. Available options are:
  - local: Kodo controls the data source connections.
  - enlisted: Data source connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.
  Specified by:
    `setDataSourceMode` in interface `JDBCConfiguration`

### isDataSourceModeEnlisted

    public boolean isDataSourceModeEnlisted()

  Description copied from interface: `JDBCConfiguration`
  Whether the data source is automatically enlisted in global transactions.
  Specified by:
    `isDataSourceModeEnlisted` in interface `JDBCConfiguration`

### setDataSourceModeEnlisted

    public void setDataSourceModeEnlisted(boolean enlisted)

  Description copied from interface: `JDBCConfiguration`
  Whether the data source is automatically enlisted in global transactions.
  Specified by:
    `setDataSourceModeEnlisted` in interface `JDBCConfiguration`

### setJDBCListeners

    public void setJDBCListeners(String jdbcListeners)

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
  Specified by:
    `setJDBCListeners` in interface `JDBCConfiguration`

### getJDBCListeners

    public String getJDBCListeners()

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
  Specified by:
    `getJDBCListeners` in interface `JDBCConfiguration`

### setJDBCListeners

    public void setJDBCListeners(JDBCListener[] listeners)

  Description copied from interface: `JDBCConfiguration`
  The `JDBCListener`s to use.
  Specified by:
    `setJDBCListeners` in interface `JDBCConfiguration`

### getJDBCListenerInstances

    public JDBCListener[] getJDBCListenerInstances()

  Description copied from interface: `JDBCConfiguration`
  The `JDBCListener`s to use.
  Specified by:
    `getJDBCListenerInstances` in interface `JDBCConfiguration`

### setConnectionDecorators

    public void setConnectionDecorators(String connectionDecorators)

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
  Specified by:
    `setConnectionDecorators` in interface `JDBCConfiguration`

### getConnectionDecorators

    public String getConnectionDecorators()

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
  Specified by:
    `getConnectionDecorators` in interface `JDBCConfiguration`

### setConnectionDecorators

    public void setConnectionDecorators(ConnectionDecorator[] decorators)

  Description copied from interface: `JDBCConfiguration`
  The `ConnectionDecorator`s to use.
  Specified by:
    `setConnectionDecorators` in interface `JDBCConfiguration`

### getConnectionDecoratorInstances

    public ConnectionDecorator[] getConnectionDecoratorInstances()

  Description copied from interface: `JDBCConfiguration`
  The `ConnectionDecorator`s to use.
  Specified by:
    `getConnectionDecoratorInstances` in interface `JDBCConfiguration`

### setDBDictionary

    public void setDBDictionary(String dbdictionary)

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use to define the RDBMS SQL information.
  Specified by:
    `setDBDictionary` in interface `JDBCConfiguration`

### getDBDictionary

    public String getDBDictionary()

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use to define the RDBMS SQL information.
  Specified by:
    `getDBDictionary` in interface `JDBCConfiguration`

### setDBDictionary

    public void setDBDictionary(DBDictionary dbdictionary)

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use.
  Specified by:
    `setDBDictionary` in interface `JDBCConfiguration`

### getDBDictionaryInstance

    public DBDictionary getDBDictionaryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use.
  Specified by:
    `getDBDictionaryInstance` in interface `JDBCConfiguration`

### setSequenceFactory

    public void setSequenceFactory(String sequenceFactory)

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SequenceFactory` implementation.
  Specified by:
    `setSequenceFactory` in interface `JDBCConfiguration`

### getSequenceFactory

    public String getSequenceFactory()

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SequenceFactory` implementation.
  Specified by:
    `getSequenceFactory` in interface `JDBCConfiguration`

### setSequenceFactory

    public void setSequenceFactory(SequenceFactory sequenceFactory)

  Description copied from interface: `JDBCConfiguration`
  The `SequenceFactory` to use.
  Specified by:
    `setSequenceFactory` in interface `JDBCConfiguration`

### getSequenceFactoryInstance

    public SequenceFactory getSequenceFactoryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `SequenceFactory` to use.
  Specified by:
    `getSequenceFactoryInstance` in interface `JDBCConfiguration`

### setUpdateManager

    public void setUpdateManager(String updateManager)

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` to use for managing SQL updates.
  Specified by:
    `setUpdateManager` in interface `JDBCConfiguration`

### getUpdateManager

    public String getUpdateManager()

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` to use for managing SQL updates.
  Specified by:
    `getUpdateManager` in interface `JDBCConfiguration`

### setUpdateManager

    public void setUpdateManager(UpdateManager updateManager)

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` for runtime data store interaction.
  Specified by:
    `setUpdateManager` in interface `JDBCConfiguration`

### getUpdateManagerInstance

    public UpdateManager getUpdateManagerInstance()

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` for runtime data store interaction.
  Specified by:
    `getUpdateManagerInstance` in interface `JDBCConfiguration`

### setMappingFactory

    public void setMappingFactory(String mappingFactory)

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `MappingFactory` to use in creating the O-R mappings. Defaults to the `FileMappingFactory`.
  Specified by:
    `setMappingFactory` in interface `JDBCConfiguration`

### getMappingFactory

    public String getMappingFactory()

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `MappingFactory` to use in creating the O-R mappings. Defaults to the `FileMappingFactory`.
  Specified by:
    `getMappingFactory` in interface `JDBCConfiguration`

### setMappingFactory

    public void setMappingFactory(MappingFactory mappingFactory)

  Description copied from interface: `JDBCConfiguration`
  The `MappingFactory` to use for O-R mapping.
  Specified by:
    `setMappingFactory` in interface `JDBCConfiguration`

### getMappingFactoryInstance

    public MappingFactory getMappingFactoryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `MappingFactory` to use for O-R mapping.
  Specified by:
    `getMappingFactoryInstance` in interface `JDBCConfiguration`

### setSchemaFactory

    public void setSchemaFactory(String schemaFactory)

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.
  Specified by:
    `setSchemaFactory` in interface `JDBCConfiguration`

### getSchemaFactory

    public String getSchemaFactory()

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.
  Specified by:
    `getSchemaFactory` in interface `JDBCConfiguration`

### setSchemaFactory

    public void setSchemaFactory(SchemaFactory schemaFactory)

  Description copied from interface: `JDBCConfiguration`
  The `SchemaFactory` to use for schema information.
  Specified by:
    `setSchemaFactory` in interface `JDBCConfiguration`

### getSchemaFactoryInstance

    public SchemaFactory getSchemaFactoryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `SchemaFactory` to use for schema information.
  Specified by:
    `getSchemaFactoryInstance` in interface `JDBCConfiguration`

### setVersionIndicator

    public void setVersionIndicator(String versionIndicator)

  Description copied from interface: `JDBCConfiguration`
  The `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.
  Specified by:
    `setVersionIndicator` in interface `JDBCConfiguration`

### getVersionIndicator

    public String getVersionIndicator()

  Description copied from interface: `JDBCConfiguration`
  The `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.
  Specified by:
    `getVersionIndicator` in interface `JDBCConfiguration`

### setClassIndicator

    public void setClassIndicator(String classIndicator)

  Description copied from interface: `JDBCConfiguration`
  The full class or type name of the `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.
  Specified by:
    `setClassIndicator` in interface `JDBCConfiguration`

### getClassIndicator

    public String getClassIndicator()

  Description copied from interface: `JDBCConfiguration`
  The `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.
  Specified by:
    `getClassIndicator` in interface `JDBCConfiguration`

### setSubclassMapping

    public void setSubclassMapping(String subclassMapping)

  Description copied from interface: `JDBCConfiguration`
  The `ClassMapping` to use when mapping subclasses. Defaults to `flat`.
  Specified by:
    `setSubclassMapping` in interface `JDBCConfiguration`

### getSubclassMapping

    public String getSubclassMapping()

  Description copied from interface: `JDBCConfiguration`
  The `ClassMapping` to use when mapping subclasses. Defaults to `flat`.
  Specified by:
    `getSubclassMapping` in interface `JDBCConfiguration`

### getMappingRepository

    public MappingRepository getMappingRepository()

  Description copied from interface: `JDBCConfiguration`
  Return the mapping repository. Convenience method to cast from the internal metadata repository.
  Specified by:
    `getMappingRepository` in interface `JDBCConfiguration`

### getLicense

    public com.solarmetric.license.License getLicense()

  Description copied from interface: `JDOConfiguration`
  Return the license for the set license key.
  Specified by:
    `getLicense` in interface `JDOConfiguration`
  Overrides:
    `getLicense` in class `JDOConfigurationImpl`

### getMetaDataRepository

    public JDOMetaDataRepository getMetaDataRepository()

  Description copied from interface: `JDOConfiguration`
  The metadata repository of managed class information. If no repository has been set, creates one.
  Specified by:
    `getMetaDataRepository` in interface `JDOConfiguration`
  Overrides:
    `getMetaDataRepository` in class `JDOConfigurationImpl`

### getConnectionFactory

    public Object getConnectionFactory()

  Description copied from interface: `JDOConfiguration`
  The connection factory, possibly from JNDI.
  Specified by:
    `getConnectionFactory` in interface `JDOConfiguration`
  Overrides:
    `getConnectionFactory` in class `JDOConfigurationImpl`

### setConnectionFactory

    public void setConnectionFactory(Object factory)

  Description copied from interface: `JDOConfiguration`
  The connection factory.
  Specified by:
    `setConnectionFactory` in interface `JDOConfiguration`
  Overrides:
    `setConnectionFactory` in class `JDOConfigurationImpl`

### getConnectionFactory2

    public Object getConnectionFactory2()

  Description copied from interface: `JDOConfiguration`
  The non-XA connection factory.
  Specified by:
    `getConnectionFactory2` in interface `JDOConfiguration`
  Overrides:
    `getConnectionFactory2` in class `JDOConfigurationImpl`

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  Description copied from interface: `JDOConfiguration`
  The non-XA connection factory.
  Specified by:
    `setConnectionFactory2` in interface `JDOConfiguration`
  Overrides:
    `setConnectionFactory2` in class `JDOConfigurationImpl`

### getDataSource

    public DataSource getDataSource(KodoPersistenceManager pm)

  Description copied from interface: `JDBCConfiguration`
  Return the primary data source to use. The data source will automatically use the given persistence manager's user name and password on calls to `DataSource.getConnection()`. If the given persistence manager is null, the data source will use the configuration's default connection user name and password. If those too are null and the first persistence manager has been obtained already, then the user name and password for that persistence manager will be used, as we know they represent a valid combination. This method avoids casting the result of `JDOConfiguration.getConnectionFactory()`, and avoids having to pass in the user name and password to obtain connections.
  Specified by:
    `getDataSource` in interface `JDBCConfiguration`

### getDataSource2

    public DataSource getDataSource2(KodoPersistenceManager pm)

  Description copied from interface: `JDBCConfiguration`
  Return the non-xa data source to use. If there is a valid non-xa connection factory configured, then it will be returned. Its default user name and password on calls to `DataSource.getConnection()` will be the specificed connection 2 user name and password. If those are null and the given persistence manager is non-null, its user name password will be used instead. If the persistence manager is null too, then the user name and password used to retrieve the first persistence manager will be used. If there is no second connection factory the primary connection factory is used.
  Specified by:
    `getDataSource2` in interface `JDBCConfiguration`
  Following copied from interface: `kodo.jdbc.conf.JDBCConfiguration`
  See Also:
    `JDBCConfiguration.getDataSource(kodo.runtime.KodoPersistenceManager)`

### setFirstPersistenceManagerUserName

    public void setFirstPersistenceManagerUserName(String user)

  Description copied from interface: `JDBCConfiguration`
  Set the first connection user name used to obtain a persistence manager. This information is cached in case the configuration does not include the ConnectionUserName property. Called automatically by system.
  Specified by:
    `setFirstPersistenceManagerUserName` in interface `JDBCConfiguration`

### setFirstPersistenceManagerPassword

    public void setFirstPersistenceManagerPassword(String pass)

  Description copied from interface: `JDBCConfiguration`
  Set the first connection password used to obtain a persistence manager. This information is cached in case the configuration does not include the ConnectionPassword property. Called automatically by system.
  Specified by:
    `setFirstPersistenceManagerPassword` in interface `JDBCConfiguration`

### close

    public void close()

  Free the data sources.
  Specified by:
    `close` in interface `Configuration`
  Overrides:
    `close` in class `JDOConfigurationImpl`

### isInvalidProperty

    protected boolean isInvalidProperty(String propName)

  Description copied from class: `ConfigurationImpl`
  Returns true if the specified property name should raise a warning if it is not found in the list of known properties.
  Overrides:
    `isInvalidProperty` in class `JDOConfigurationImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.